Wind River Support Network

HomeDefectsLIN5-9901
Fixed

LIN5-9901 : Security Advisory - libx11 - CVE-2013-2004

Created: Jun 30, 2013    Updated: Dec 19, 2017
Resolved Date: Jun 26, 2014
Previous ID: LIN4-13627
Found In Version: 5.0
Fix Version: 5.0.1.17
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The (1) GetDatabase and (2) _XimParseStringFile functions in X.org libX11 1.5.99.901 (1.6 RC1) and earlier do not restrict the recursion depth when processing directives to include files, which allows X servers to cause a denial of service (stack consumption) via a crafted file.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-2004

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online